EcommerceUpdate a product

Update a product

POST /products/{product_id}

curl -X POST "https://app.bualpro.com/api/products/3.14" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "active": false,
  "stock": 500,
  "price": 40
}'
{
  "success": true,
  "updated": true
}
POST
/products/{product_id}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
activeboolean

if contacts can buy the product.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Body

application/json
activeboolean

if contacts can buy the product.

Responses

successboolean
updatedboolean

Update product.

Was this page helpful?